--- title: "verifyJob" slug: "analytics-dataflow-verifyjob" updated: 2026-09-17T09:56:27Z published: 2026-09-17T09:56:27Z canonical: "api.ncloud-docs.com/analytics-dataflow-verifyjob" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # verifyJob Available in VPC Verify a job execution request item. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/jobs/verify | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Job name - Enter 3-100 characters by combining English letters, numbers, and special characters "_" and "-". - It must start with an English letter or "-". | | `nodes` | Array | Required | Job node information - See [ETLJobNode](/docs/en/common-vapidatatype-dataflowetljobnode). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://dataflow.apigw.ntruss.com/api/v1/jobs/verify' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "name": "data-flow", "nodes": [ { "type": "SOURCE_OBS", "id": 169777*******, "name": "Object Storage", "parentNodeIds": [], "regionNo": "1", "bucketName": "aitems", "prefix": "dataflow1", "dataType": "CSV", "fieldList": [ { "name": "id", "type": "string" }, { "name": "name", "type": "string" } ] }, { "type": "TRANSFORM_FILTER", "id": 169777*******, "name": "Filters", "parentNodeIds": [ 1697776914576 ], "filterType": "AND", "filterConditionList": [ { "name": "name", "operator": "EQ", "value": "A" } ] }, { "type": "TARGET_OBS", "id": 169777*******, "name": "Object Storage", "parentNodeIds": [ 169777******* ], "regionNo": "1", "bucketName": "aitems", "prefix": "dataflow1", "dataType": "CSV", "updateType": "OVERWRITE", "fieldList": [ { "name": "id", "type": "string" }, { "name": "name", "type": "string" }, { "name": "description", "type": "string" } ] } ] }' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` true ```